// PreloadJS - vars ->

	var map = {};
	var preload;
	var loader;
	var manifest;

// PreloadJS - vars <-

// PreloadJS - functions ->

	// Reset everything
	function preloadReload() {
		// If there is an open preload queue, close it.
		if (preload != null) {
			preload.close();
		}

		// Reset the UI
		$("#loaderBar2").css("width", "207px");

		// Push each item into our manifest
		manifest = [		
			"img/Scenes/scene00/_scene0.png",
			"img/Scenes/scene0/0_background.png",
			"img/Scenes/scene0/1_door_flicker1.png",
			"img/Scenes/scene0/1_door_flicker2.png",
			"img/Scenes/scene0/2_foreground.png",
			"img/Scenes/scene1/_scene2.png",
			"img/Scenes/scene2/0_background.png",
			"img/Scenes/scene2/1_clapper1.png",
			"img/Scenes/scene2/1_clapper2.png",
			"img/Scenes/scene3/0_background.png",
			"img/Scenes/scene3/1_flicker1.png",
			"img/Scenes/scene3/1_flicker2.png",
			"img/Scenes/scene3/2_outlines.png",
			"img/Scenes/scene3/3_detective1.png",
			"img/Scenes/scene3/3_detective2.png",
			"img/Scenes/scene3/4_foreground.png",
			"img/Scenes/scene4/0_background.png",
			"img/Scenes/scene4/1_flicker1.png",
			"img/Scenes/scene4/1_flicker2.png",
			"img/Scenes/scene4/2_outlines.png",
			"img/Scenes/scene4/3_detective1.png",
			"img/Scenes/scene4/3_detective2.png",
			"img/Scenes/scene6/0_background.png",
			"img/Scenes/scene6/3_glass_outline.png",
			"img/Scenes/scene6/1_spills.png",
			"img/Scenes/scene6/2_whiskey.png",
			"img/Scenes/scene6/4_bottle1.png",
			"img/Scenes/scene6/4_bottle2.png",
			"img/Scenes/scene6/2_whiskey1.png",
			"img/Scenes/scene6/2_whiskey2.png",
			"img/Scenes/scene6/2_whiskey3.png",	
			"img/Scenes/scene7/1_flicker1.png",
			"img/Scenes/scene7/0_background.png",
			"img/Scenes/scene7/1_flicker2.png",
			"img/Scenes/scene7/2_outlines.png",
			"img/Scenes/scene8/0_background.png",
			"img/Scenes/scene8/1_dial_1.png",
			"img/Scenes/scene8/1_dial_2.png",
			"img/Scenes/scene8/1_dial_4.png",
			"img/Scenes/scene8/1_dial_3.png",
			"img/Scenes/scene8/1_dial_5.png",
			"img/Scenes/scene8/1_dial_6.png",
			"img/Scenes/scene8/1_dial_7.png",
			"img/Scenes/scene8/1_dial_8.png",
			"img/Scenes/scene8/1_dial_9.png",
			"img/Scenes/scene8/1_dial_10.png",
			"img/Scenes/scene8/1_dial_11.png",
			"img/Scenes/scene8/2_dial_outline.png",
			"img/Scenes/scene8/3_hand.png",
			"img/Scenes/scene9/0_background.png",
			"img/Scenes/scene9/1_flicker1.png",
			"img/Scenes/scene9/1_flicker2.png",
			"img/Scenes/scene9/2_outlines.png",
			"img/Scenes/scene9/3_detective1.png",
			"img/Scenes/scene9/3_detective2.png",
			"img/Scenes/scene10/0_background.png",
			"img/Scenes/scene10/1_smoke1.png",
			"img/Scenes/scene10/1_smoke2.png",
			"img/Scenes/scene10/1_smoke3.png",
			"img/Scenes/scene10/2_lighter1.png",
			"img/Scenes/scene10/2_lighter2.png",
			"img/Scenes/scene10/3_sparks.png",
			"img/Scenes/scene10/4_flames1.png",
			"img/Scenes/scene10/4_flames2.png",
			"img/Scenes/scene10/4_flames3.png",
			"img/Scenes/scene11/0_background.png",
			"img/Scenes/scene11/1_flicker1.png",
			"img/Scenes/scene11/1_flicker2.png",
			"img/Scenes/scene11/2_outlines.png",
			"img/Scenes/scene11/2_smoke1.png",
			"img/Scenes/scene11/2_smoke2.png",
			"img/Scenes/scene11/2_smoke3.png",
			"img/Scenes/scene11/3_detective.png",
			"img/Scenes/scene12/1_background.png",
			"img/Scenes/scene12/3_outlines.png",
			"img/Scenes/scene12/2_shadow1.png",
			"img/Scenes/scene12/2_shadow2.png",
			"img/Scenes/scene12/2_shadow3.png",
			"img/Scenes/scene13/_scene13.png",
			"img/Scenes/scene13/_scene13_2.png",
			"img/Scenes/scene13/_scene13_3.png",
			"img/Scenes/scene13/_scene13_4.png",
			"img/Scenes/scene14/_scene14.png",
			"img/Scenes/text_shadow.png",
			"img/Scenes/vignette2.png",
			"img/Texts_cut/cut_cig_1.png",
			"img/Texts_cut/cut_cig_2.png",
			"img/Texts_cut/cut_cig_3.png",
			"img/Texts_cut/cut_cig_4.png",
			"img/Texts_cut/cut_cig_5.png",
			"img/Texts_cut/cut_drink_1.png",
			"img/Texts_cut/cut_drink_2.png",
			"img/Texts_cut/cut_drink_3.png",
			"img/Texts_cut/cut_drink_4.png",
			"img/Texts_cut/cut_drink_5.png",
			"img/Texts_cut/cut_phone_1.png",
			"img/Texts_cut/cut_phone_2.png",
			"img/Texts_cut/cut_phone_3.png",
			"img/Texts_cut/cut_phone_4.png",
			"img/Texts_cut/cut_phone_5.png",
			"img/Texts/TEXT_2.png",
			"img/Texts/TEXT_3.png",
			"img/Texts/TEXT_4.png",
			"img/Texts/TEXT_5.png",
			"img/Texts/TEXT_6.png",
			"img/Texts/TEXT_7.png",
			"img/Texts/TEXT_8.png",
			"img/Texts/TEXT_9.png",
			"img/Texts/TEXT_10.png",
			"img/Texts/TEXT_11.png",
			"img/Texts/TEXT_12.png",
			"img/Texts/TEXT_13.png",
			"img/Texts/TEXT_14.png",
			"img/Texts/TEXT_15.png",
			"img/Texts/TEXT_16.png",
			"img/Texts/TEXT_17.png",
			"img/Texts/TEXT_18.png",
			"img/Texts/TEXT_19.png",
			"img/Texts/TEXT_20.png",
			"img/Texts/TEXT_21.png",
			"img/Texts/TEXT_22.png",
			"img/Texts/TEXT_23.png",
			"img/Texts/TEXT_24.png",
			"img/Texts/TEXT_25.png",
			"img/Texts/TEXT_26.png",
			"audio/mp3/Kevin_MacLeod_-_Night_on_the_Docks_-_Sax_MENUE_CUT.mp3",
			"audio/mp3/Kevin_MacLeod_-_Night_on_the_Docks_-_Sax_FIRST_GAME_CUT.mp3",
			"audio/mp3/rain.mp3",
			"audio/mp3/Clap.mp3",
			"audio/mp3/Pouring_A_Glass_Full.mp3",
			"audio/mp3/Dialing.mp3",
			"audio/mp3/Slurping.mp3",
			"audio/mp3/Rotary_Dial_7890.mp3",
			"audio/mp3/Siren_quite.mp3",
			"audio/mp3/Lighter.mp3"
			
		];

		// Create a preloader. There is no manifest added to it up-front, we will add items on-demand.
		preload = new createjs.LoadQueue(true, "");

		// Use this instead to use tag loading
		//preload = new createjs.LoadQueue(false);

		preload.on("progress", preloadHandleOverallProgress);
		preload.setMaxConnections(1);
	}

	function preloadStop() {
		if (preload != null) {
			preload.close();
		}
	}

	function preloadLoadAll() {
		while (manifest.length > 0) {
			preloadLoadAnother();
		}
	}

	function preloadLoadAnother() {
		// Get the next manifest item, and load it
		var item = manifest.shift();
		preload.loadFile(item);
	}

	// Overall progress handler
	function preloadHandleOverallProgress(event) {
		$("#loaderBar2").css("width", (207 + parseInt( 170 / 100 * (preload.progress * 100) ) ) + "px");
		if( parseInt( preload.progress * 100 ) == 100) {
			$("#preloader").hide("slow", function() {
				preload.close();
				$("#preloader").hide();
				reqAni1 = window.requestAnimationFrame(draw);
				/* startmenu init */

			});
		}
	}

	function preloadInit() {
		preloadReload();
		preloadLoadAll();
	}
// PreloadJS - functions <-